/* Transmitter code for the Skateboard Radio control with PWM output
 
  Module // Arduino UNO,NANO  
    GND    ->   GND
    Vcc    ->   3.3V
    CE     ->   D9
    CSN    ->   D10
    CLK    ->   D13
    MOSI   ->   D11
    MISO   ->   D12

Consider like share and subscribe : https://www.youtube.com/NematicsLab
*/

#include <SPI.h>
#include <nRF24L01.h> //https://github.com/nRF24/RF24
#include <RF24.h>

const uint64_t my_radio_pipe = 0x12345ABC; 

RF24 radio(9, 10);  //Set CE and CSN pins

struct Data_to_be_sent {
  byte ch1;
  byte ch2;
};


Data_to_be_sent sent_data;



void setup()
{
  pinMode(2,INPUT_PULLUP);
  radio.begin();
  radio.setAutoAck(false);
  radio.setDataRate(RF24_250KBPS);
  radio.openWritingPipe(my_radio_pipe);

  //Reset each channel value
  sent_data.ch1 = 127;
  sent_data.ch2 = 1;
}

/**************************************************/


void loop()
{
  
  sent_data.ch1 = map( analogRead(A0), 0, 1024, 0, 255);
  sent_data.ch2 = digitalRead(2);

  radio.write(&sent_data, sizeof(Data_to_be_sent));
}
